# Configuration file

####################
# client
#===================
# These options are client only.
# Check here for key codes for the config: http://www.minecraftwiki.net/wiki/Key_codes
####################

client {
    # Allow the mod to override player hand rendering?
    # 0 = No
    # 1 = Yes
    I:handRenderOverride=1

    # Allow an ingame keybind editor hook for Morph?
    # Disable this only if you have issues in the keybind menu.
    # 0 = No
    # 1 = Yes
    I:ingameKeybindEditorHook=1

    # Key Code to favourite/unfavourite morph on the selector and show the radial menu.
    # Default: 41 (` [also known as ~])
    I:keyFavourite=41

    # Key Code to close the selector.
    # Default: 1 (Esc)
    I:keySelectorCancel=1

    # Key Code to go down on the selector
    # Default: 27 (])
    I:keySelectorDown=38

    # Key required to hold to use down key on the selector
    # 0 = None
    # 1 = Shift
    # 2 = Ctrl
    # 3 = Alt
    # Default: 0
    I:keySelectorDownHold=0

    # Key Code to go left on the selector
    # Default: 26 ([)
    I:keySelectorLeft=26

    # Key required to hold to use left key on the selector
    # 0 = None
    # 1 = Shift
    # 2 = Ctrl
    # 3 = Alt
    # Default: 1
    I:keySelectorLeftHold=1

    # Key Code to remove morph on the selector.
    # Delete also works by default
    # Default: 14 (Backspace)
    I:keySelectorRemoveMorph=14

    # Key Code to go right on the selector
    # Default: 27 (])
    I:keySelectorRight=27

    # Key required to hold to use right key on the selector
    # 0 = None
    # 1 = Shift
    # 2 = Ctrl
    # 3 = Alt
    # Default: 1
    I:keySelectorRightHold=1

    # Key Code to select morph on the selector.
    # Default: 28 (Enter/Return)
    I:keySelectorSelect=28

    # Key Code to go up on the selector
    # Default: 26 ([)
    I:keySelectorUp=24

    # Key required to hold to use up key on the selector
    # 0 = None
    # 1 = Shift
    # 2 = Ctrl
    # 3 = Alt
    # Default: 0
    I:keySelectorUpHold=0

    # As per request, render the crosshair position when in the radial menu.
    # 0 = No
    # 1 = Yes
    I:renderCrosshairInRadialMenu=0

    # Show the abilities the morph has in the GUI?
    # 0 = No
    # 1 = Yes
    I:showAbilitiesInGui=1

    # Sort the morphs in the GUI?
    # 0 = Order of acquisition (Server default)
    # 1 = Alphabetically (according to Operating System)
    # 2 = Alphabetically, and attempt to sort grouped morphs as well
    # 3 = Most recently used since connecting to the server
    I:sortMorphs=0
}


####################
# gameplay
#===================
# These options affect the gameplay while using the mod.
####################

gameplay {
    # Enable mod mob NBT Stripping?
    # This support is mostly provided by the community and is not officially supported by the mod
    # The stripper was added to remove non-essential information from the Entity NBT to remove duplicate morphs.
    # 0 = No
    # 1 = Yes
    I:NBTStripper=1

    # Enable abilities?
    # 0 = No
    # 1 = Yes
    I:abilities=1

    # Requested by SoundLogic
    # Can you open the morph GUI?
    # 0 = No
    # 1 = Yes
    I:allowMorphSelection=1

    # Prevent players from acquiring these mobs as a morph.
    # Leave blank to allow acquisition of all compatible mobs.
    # Formatting is as follows: <class>, <class>, <class>
    # Example: am2.entities.EntityBattleChicken, biomesoplenty.entities.EntityJungleSpider, thaumcraft.common.entities.monster.EntityWisp
    S:blacklistedMobs=

    # Can you acquire boss morphs?
    # This is disabled by default due to morphing issues with mobs like the EnderDragon, Twilight Forest's Hydra and Naga, etc.
    # 0 = No
    # 1 = Yes
    I:bossMorphs=0

    # Can you sleep while morphed?
    # 0 = No
    # 1 = Yes
    I:canSleepMorphed=0

    # Can you acquire child mob morphs?
    # Disabled by default due to improper morph transitions
    # 0 = No
    # 1 = Yes
    I:childMorphs=0

    # Redirect the mod to a different JSON patch location rather then the default patch hosted on GitHub.
    # If you would like to use the default, leave this blank.
    # This also affects NBTStripper.json.
    # If the link to your file is "https://raw.github.com/iChun/Morph/master/src/main/resources/assets/morph/mod/AbilitySupport.json", put "https://raw.github.com/iChun/Morph/master/src/main/resources/assets/morph/mod/", you cannot change the file name (eg: AbilitySupport.json) part of the link.
    S:customPatchLink=

    # Disable the flight ability until a player...
    # 0 = Enable early game flight
    # 1 = ...has reached the nether
    # 2 = ...has killed the Wither
    I:disableEarlyGameFlight=0
    I:forceLocalModAbilityPatch=0

    # Hostile Ability Distance Check for Hostile Ability Mode 4
    # You have to be *this* close before hostile mobs know you are not one of them.
    # Default: 6
    I:hostileAbilityDistanceCheck=6

    # Hostile Ability Modes
    # 0 = Off, hostile mobs attack you despite being morphed.
    # 1 = Hostile mobs do not attack you if you are a hostile mob.
    # 2 = Hostile mobs of different types do not attack you if you are a hostile mob but hostile mobs of the same kind do.
    # 3 = Hostile mobs of the same type do not attack you but hostile mobs of other types attack you.
    # 4 = Hostile mobs have a decreased detection range around you.
    # If you'd like to turn on Hostile Ability, I'd recommend Mode 2 (personal preference)
    I:hostileAbilityMode=0

    # Will you insta-morph into a new morph acquired?
    # 0 = No
    # 1 = Yes
    I:instaMorph=1

    # Will you lose your morphs on death?
    # 0 = No
    # 1 = Yes, all morphs
    # 2 = Yes, the morph you're currently using
    I:loseMorphsOnDeath=0
    I:modAbilityPatch=1
    I:modNBTStripper=1

    # Can you acquire player morphs?
    # 0 = No
    # 1 = Yes
    I:playerMorphs=1

    # Force the mod to use the local copy of resources in the config folder?
    # This is meant for debugging purposes and for modified local mod mob abilities mappings/NBT stripper.
    # Do take note that mappings server and clientside are not synched so both ends will require the same mappings.
    # 0 = No
    # 1 = Yes
    I:useLocalResources=0

    # Only allow these players to use the Morph skill.
    # Leave blank to allow all players to use the skill.
    # Formatting is as follows: <name>, <name>, <name>
    # Example: Cojomax99, pahimar, ohaiiChun
    S:whitelistedPlayers=
}


